## org.biojava.bio.seq.io.game
Class GAMESeqPropHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game.StAXPropertyHandler
              org.biojava.bio.seq.io.game.GAMESeqPropHandler

All Implemented Interfaces:
  GAMENameCallbackItf, StAXContentHandler

    public class GAMESeqPropHandler

extends StAXPropertyHandler
implements GAMENameCallbackItf

Handles the GAME <seq> element

Since:
  David Huen, 1.2

Field Summary
`static StAXHandlerFactory` `GAME_SEQ_PROP_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.game.StAXPropertyHandler
`featureListener, staxenv`

Method Summary
`void` `NameSetStringValue(String s)` Callback implemented by nesting class to allow nested class to pass string to nesting class for handling.
`void` `startElementHandler(String nsURI, String localName, String qName, Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.game.StAXPropertyHandler
`addHandler, endElement, endElementHandler, getHandlerStackIterator, setHandlerCharacteristics, startElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GAME_SEQ_PROP_HANDLER_FACTORY

    public static final StAXHandlerFactory GAME_SEQ_PROP_HANDLER_FACTORY

Method Detail

### NameSetStringValue

    public void NameSetStringValue(String s)

  Description copied from interface: `GAMENameCallbackItf`
  Callback implemented by nesting class to allow nested class to pass string to nesting class for handling.

  Specified by:
    `NameSetStringValue` in interface `GAMENameCallbackItf`

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs)
                             throws SAXException

  Description copied from class: `StAXPropertyHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXPropertyHandler`
  Throws:
    `SAXException`